/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.examplesingle.service;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.jeeplus.common.persistence.Page;
import com.jeeplus.common.service.CrudService;
import com.jeeplus.modules.examplesingle.entity.ExampleSingle;
import com.jeeplus.modules.examplesingle.dao.ExampleSingleDao;

/**
 * 单项工程造价指标Service
 * @author ssrh
 * @version 2018-08-29
 */
@Service
@Transactional(readOnly = true)
public class ExampleSingleService extends CrudService<ExampleSingleDao, ExampleSingle> {
	@Autowired
	private ExampleSingleDao exampleSingleDao;
	public ExampleSingle get(String id) {
		return super.get(id);
	}
	public List<ExampleSingle> getCount(String companyId,String areaId,String dictId,String indexId) {
		return dao.getCount(companyId,areaId,dictId,indexId);
	}

	public List<ExampleSingle> findList(ExampleSingle exampleSingle) {
		return super.findList(exampleSingle);
	}
	
	public Page<ExampleSingle> findPage(Page<ExampleSingle> page, ExampleSingle exampleSingle) {
		return super.findPage(page, exampleSingle);
	}
	
	@Transactional(readOnly = false)
	public void save(ExampleSingle exampleSingle) {
		super.save(exampleSingle);
	}
	
	@Transactional(readOnly = false)
	public void delete(ExampleSingle exampleSingle) {
		super.delete(exampleSingle);
	}
	@Transactional(readOnly = false)
	public void delteByIndexId(String eId,String indexId) {
		exampleSingleDao.delteByIndexId(eId,indexId);
	}
	//根据项id指标id概况id获取对象
	public ExampleSingle findSingle(ExampleSingle exampleSingle) {
		return dao.findSingle(exampleSingle);
	}
	
	
}